logging on
date			# log current date 
remote off		# turn off remote logging
proto "simple"

clock 1000		# tune clock to be 1/1000 second

output graph @150	# default (640x480, 8bpp) resolution and 150 Hz refresh

clear
nop
print "Full section" font Russian
display SmallMsg 
scan (clean)
log "This section may be finished by incomplete scan"
probe { 
  2 * {		# non-breakable session, repeat two times
    display 400 One
    display 400 Two
  } scan 0 "a"	# may be incomplete
  beep 10
}

clear
print "Circle-bounded section"
display SmallMsg 
scan (clean)
log "This section may produce timing outdates"
probe { 
  inf * (wait) { # display all in current circle, then check for scan
    display 20 Three
    nop			# may produce timing outdate
    display 20 Seven	# 'cause of nop
    nop
    display 20 Four
    nop
    display 20 Six
    nop
    display 20 One
    nop
    display 20 Eight
    nop
    display 20 Five
    nop
    display 20 Two
    nop
    display 20 Nine
    nop
    display 20 MASK
  } scan "a"
  beep 10
}

clear
print "Breakable section"
display SmallMsg 
scan (clean)
log "This section must show MASK, but may not show previous pictures"
probe { 
  5 * (breakable) {	# stop immediately, or after 3 circles
    display 500 Five
    display 500 Three
    display 500 Eight
    display 500 One
    display 0 MASK (special)	# display mask anyway
  } scan "a"
  beep 10
}

display Done 0:0
scan (clean)
output text
